diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/tools/Makefile.in ircd-hybrid-6.0/tools/Makefile.in
--- ircd-hybrid-6.0.orig/tools/Makefile.in	Fri Oct  6 04:01:02 2000
+++ ircd-hybrid-6.0/tools/Makefile.in	Sat Jun  9 20:17:03 2001
@@ -6,7 +6,7 @@
 INCLUDEDIR=-I../include -I../zlib
 
 mkpasswd_SOURCES = mkpasswd.c
-mkpasswd_OBJECTS = mkpasswd.o
+mkpasswd_OBJECTS = mkpasswd.o ../src/md5crypt.o ../src/md5.o
 viconf_SOURCES = viconf.c
 viconf_OBJECTS = viconf.o
 fixklines_SOURCES = fixklines.c
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/tools/mkpasswd.c ircd-hybrid-6.0/tools/mkpasswd.c
--- ircd-hybrid-6.0.orig/tools/mkpasswd.c	Wed Aug 11 00:07:25 1999
+++ ircd-hybrid-6.0/tools/mkpasswd.c	Sat Jun  9 20:13:39 2001
@@ -10,37 +10,32 @@
 #include <stdlib.h>
 #include <time.h>
 
-
-extern char *getpass();
-extern char *crypt();
-/* extern long random(); */
-/* extern int srandom(unsigned); */
+extern char* getpass();
 
 int main(argc, argv)
 int argc;
 char *argv[];
 {
-  static char saltChars[] = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789./";
-  char salt[3];
   char * plaintext;
+  static char saltChars[] = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789./";
+  static time_t   last_used = 0;
+  char salt[9];
+  extern char *libshadow_md5_crypt();
 
-  if (argc < 2) {
-    srandom(time(0));		/* may not be the BEST salt, but its close */
-    salt[0] = saltChars[random() % 64];
-    salt[1] = saltChars[random() % 64];
-    salt[2] = 0;
-  }
-  else {
-    salt[0] = argv[1][0];
-    salt[1] = argv[1][1];
-    salt[2] = '\0';
-    if ((strchr(saltChars, salt[0]) == NULL) || (strchr(saltChars, salt[1]) == NULL))
-      fprintf(stderr, "illegal salt %s\n", salt), exit(1);
-  }
+  srandom(time(0));
+  salt[0] = saltChars[random() % 64];
+  salt[1] = saltChars[random() % 64];
+  salt[2] = saltChars[random() % 64];
+  salt[3] = saltChars[random() % 64];
+  salt[4] = saltChars[random() % 64];
+  salt[5] = saltChars[random() % 64];
+  salt[6] = saltChars[random() % 64];
+  salt[7] = saltChars[random() % 64];
+  salt[8] = 0;
 
   plaintext = getpass("plaintext: ");
 
-  printf("%s\n", crypt(plaintext, salt));
+  printf("%s\n", libshadow_md5_crypt(plaintext, salt));
   return 0;
 }
 
